/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.geronimo.devtools.plugins.eclipsepde;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.apache.maven.plugin.AbstractMojo;
import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;
import org.apache.maven.project.MavenProject;

/**
 * @goal qualifier
 *
 * @version $Rev: 529803 $ $Date: 2007-04-18 07:36:57 +0800 (Wed, 18 Apr 2007) $
 */
public class BundleQualifierMojo extends AbstractMojo {
	
	/**
	 * @parameter expression="${project}"
	 */
	private MavenProject project;

	/* (non-Javadoc)
	 * @see org.apache.maven.plugin.Mojo#execute()
	 */
	public void execute() throws MojoExecutionException, MojoFailureException {
		DateFormat format = new SimpleDateFormat("yyyyMMddhhmm");
		String qualifier = "v" + format.format(new Date());
		getLog().info("Qualifier is: " + qualifier);
		project.getProperties().put("qualifier", qualifier);
	}

}
